/* FDC Header */

#ifndef HEADER_FDC_H
#define HEADER_FDC_H

#include "mz80.h"

#define FDC_NUMDRIVES  4

int fdc_init(void);
int fdc_deinit(void);
int fdc_reset(void);

int fdc_loaddisk(const char *name, int drive);
void fdc_unloaddisk(int drive);

UINT16 fdc_status(UINT16 port, struct z80PortRead *port_s);
void fdc_cmd(UINT16 port, UINT8 data, struct z80PortWrite *port_s);

UINT16 fdc_data_r(UINT16 port, struct z80PortRead *port_s);
void fdc_data_w(UINT16 port, UINT8 data, struct z80PortWrite *port_s);
UINT16 fdc_track_r(UINT16 port, struct z80PortRead *port_s);
void fdc_track_w(UINT16 port, UINT8 data, struct z80PortWrite *port_s);
UINT16 fdc_sect_r(UINT16 port, struct z80PortRead *port_s);
void fdc_sect_w(UINT16 port, UINT8 data, struct z80PortWrite *port_s);

UINT16 fdc_ext_r(UINT16 port, struct z80PortRead *port_s);
void fdc_ext_w(UINT16 port, UINT8 data, struct z80PortWrite *port_s);

#endif  /* HEADER_FDC_H */
