//******************************************************************************
//*                                  uBee512                                   *
//*             An emulator for the Premium Microbee 512K FDD model            *
//*                                                                            *
//*                                paknet module                               *
//*                                                                            *
//*                       Copyright (C) 2007 Stewart Kay                       *
//******************************************************************************
//
// PAK and NET selection.
//
// This module is just an empty handler for the PAK and NET selection. There
// are no plans to do anything with it.
//
//==============================================================================
// ChangeLog (most recent entries are at top)
//==============================================================================
// v1.0.0 - 3 July 2007, S.J.Kay
// - Created a new file and implement the PAK and NET ports

//==============================================================================
/*
 *  uBee512 - An emulator for the Premium Microbee 512K FDD model
 *  Copyright (C) 2007  Stewart Kay
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ 
//==============================================================================

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "paknet.h"
#include "ubee512.h"
#include "mz80.h"

extern FILE *debuglog;
extern int debuglvl;

//==============================================================================
// PAK and NET Initialise
//
//   pass: void
// return: int				0
//==============================================================================
int paknet_init (void)
{
 return 0;
}

//==============================================================================
// PAK and NET  de-initialise
//
//   pass: void
// return: int				0
//==============================================================================
int paknet_deinit (void)
{
 return 0;
}

//==============================================================================
// PAK and NET  reset
//
//   pass: void
// return: int				0
//==============================================================================
int paknet_reset (void)
{
 return 0;
}

//==============================================================================
// NET read - Port function
//
//   pass: UINT16 port
//         struct z80PortRead *port_s
// return: UINT16			0xFFFF
//==============================================================================
UINT16 paknet_nsel_r (UINT16 port, struct z80PortRead *port_s)
{
#if 0
 printf("paknet_nsel_r port 0x%02x\n", port);
#endif

 if (debuglvl > 0)
    fprintf(debuglog, "paknet_nsel_r port 0x%02x\n", port);

 return 0xFFFF;
}

//==============================================================================
// PAK write - Port function
//
//   pass: UINT16 port
//         UINT8 data
//         struct z80PortWrite *port_s
// return: void
//==============================================================================
void paknet_psel_w (UINT16 port, UINT8 data, struct z80PortWrite *port_s)
{
#if 0
 printf("paknet_psel__w port 0x%02x = 0x%02x\n", port, data);
#endif

 if (debuglvl > 0)
    fprintf(debuglog, "paknet_psel_w port 0x%02x = 0x%02x\n", port, data);
}
